INTERFACE
SUBROUTINE SIVDERI(KNLON,KTYP,&
 & LDVDERIB,LDBCS,LDBCT,PGPIN,PSPIN,PGPOUT,PSPOUT) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
INTEGER(KIND=JPIM),INTENT(IN) :: KNLON
INTEGER(KIND=JPIM),INTENT(IN) :: KTYP
LOGICAL,OPTIONAL ,INTENT(IN) :: LDVDERIB
LOGICAL,OPTIONAL ,INTENT(IN) :: LDBCS
LOGICAL,OPTIONAL ,INTENT(IN) :: LDBCT
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PSPIN(0:NFLEVG+1,KNLON)
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PGPIN(KNLON,0:NFLEVG+1)
REAL(KIND=JPRB),OPTIONAL,INTENT(OUT) :: PSPOUT(0:NFLEVG+1,KNLON)
REAL(KIND=JPRB),OPTIONAL,INTENT(OUT) :: PGPOUT(KNLON,0:NFLEVG+1)
END SUBROUTINE SIVDERI
END INTERFACE
